> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v2/sdk-reference/graph/episode/get-episode/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Get Episode GET https://api.getzep.com/api/v2/graph/episodes/{uuid} Returns episodes by UUID Reference: https://docs-beta.getzep.com/sdk-reference/graph/episode/get-episode ## Request ### Path parameters - `uuid` (string, required) — Episode UUID ## Response ### 200 Episode - `content` (string, required) - `created_at` (string, required) - `uuid` (string, required) - `processed` (boolean, optional) - `role` (string, optional) — Optional role, will only be present if the episode was created using memory.add API - `role_type` (enum, optional) — Optional role_type, will only be present if the episode was created using memory.add API - Allowed values: `norole`, `system`, `assistant`, `user`, `function`, `tool` - `session_id` (string, optional) - `source` (enum, optional) - Allowed values: `text`, `json`, `message` - `source_description` (string, optional) ## Errors ### 400 Bad Request Error Bad Request - `message` (string, optional) ### 500 Internal Server Error Internal Server Error - `message` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "content": "Discussed project milestones and next steps for Q3 deliverables.", "created_at": "2024-06-10T09:45:00Z", "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "processed": true, "role": "project_manager", "role_type": "user", "session_id": "session-8f3b2c1d-4a7e-4e9a-bf2d-123456789abc", "source": "text", "source_description": "Meeting transcript from June 10, 2024" } ```